Register FAQ / Rules Forum Spy Search Today's Posts Mark Forums Read
Go Back   MacRumors Forums > Apple Systems and Services > Programming > iPhone/iPad Programming

Reply
 
Thread Tools Search this Thread Display Modes
Old Jan 18, 2013, 07:12 PM   #1
trsblader
macrumors regular
 
Join Date: May 2011
Help with xCode and Simulator

I haven't played around with iOS or xCode since probably xCode 3.2. I have 4.5.2 now (on 2 different machines) and cannot get the iphone or ipad simulator for ANY ios version (5.0, 5.1, or 6.0 - I have them all downloaded) to start after I build a project and select run. I must be doing something wrong from what I remember doing before, or must have a setting wrong or something very simple and easy to fix.

I do a new project, and don't change any code, just build and run it. The build succeeds with no issues, and then nothing happens. The simulator never runs. Under "scheme" I have a target simulator chosen (I've tried iPhone and iPad simulators for 5.0, 5.1, and 6.0 and none of them work.)

If someone could help, that would be appreciated.
trsblader is offline   0 Reply With Quote
Old Jan 21, 2013, 06:18 AM   #2
KoolStar
macrumors Demi-God
 
KoolStar's Avatar
 
Join Date: Oct 2006
Location: Kentucky
Send a message via AIM to KoolStar Send a message via Skype™ to KoolStar
Im curious if the simulator will even run. Open XCode and select the XCode menu, then select open developer tools and then select iphone simulator, does that open?
__________________
"Innovation distinguishes between a leader and a follower." : S.J.
KoolStar is offline   0 Reply With Quote
Old Jan 21, 2013, 07:24 AM   #3
PhoneyDeveloper
macrumors 68030
 
PhoneyDeveloper's Avatar
 
Join Date: Sep 2008
Xcode honors the iOS deployment target when running. If you build a new project the default deployment target is probably 6.0 so the earlier Sims are probably not available. You didn't mention it but I assume that you downloaded and installed the older Sims from the Preferences window, Downloads pane. I would expect that the 6.0 Sim should work and should be the only version that shows up in the Schemes popup.
PhoneyDeveloper is offline   0 Reply With Quote
Old Jan 21, 2013, 05:05 PM   #4
trsblader
Thread Starter
macrumors regular
 
Join Date: May 2011
Yes I downloaded and installed older versions from preferences and none worked, not even 6.0.

The simulator WOULD open on it's own if I went to developer menu and chose the simulator.

I ended up solving the problem by uninstalling xcode. First time I uninstalled on my desktop and deleted everything, then re-installed, the issue was still there but the 2nd time worked. Not sure what the issue ever was but apparently uninstalling a couple times fixed it
trsblader is offline   0 Reply With Quote

Reply
MacRumors Forums > Apple Systems and Services > Programming > iPhone/iPad Programming

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Similar Threads
thread Thread Starter Forum Replies Last Post
XCode Simulator running slow lastcall iPhone/iPad Programming 4 Jan 7, 2014 02:26 AM
XCode iOS Simulator on Air biroshima iPhone/iPad Programming 6 Jul 8, 2013 04:06 AM
General: Launch iOs Simulator without Xcode Yos Ra iOS 6 3 Apr 21, 2013 05:32 AM
[Xcode 4.5] Black screen on iPad simulator? moonman239 iPhone/iPad Programming 1 Oct 9, 2012 10:15 AM
iOS Simulator / XCode perf moral-hazard iPhone/iPad Programming 1 Oct 8, 2012 02:27 PM

Forum Jump

All times are GMT -5. The time now is 11:22 PM.

Mac Rumors | Mac | iPhone | iPhone Game Reviews | iPhone Apps

Mobile Version | Fixed | Fluid | Fluid HD
Copyright 2002-2013, MacRumors.com, LLC